=== debian/changelog ===
fxload (0.0.20081013-3) unstable; urgency=medium

  * debian/control: add dh-sequence-movetousr
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 May 2024 19:03:02 +0200

fxload (0.0.20081013-2) unstable; urgency=low

  * move package to debian-astro maintenance
  * thanks to Fumitoshi UKAI for the initial upload (Closes: #739016)
  * debian/control: use dh13 (Closes: #965531)
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use Architectur: linux-any (Closes: #745190)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 22 Dec 2021 19:03:02 +0100

fxload (0.0.20081013-1) unstable; urgency=low

  * Adopting package (Closes: #541059).
  * New upstream release (Closes: #540767).
  * Adding myself as uploader.
  * Switching to dpkg v.3 format.
  * Patch destdir: originally in the diff.
  * Switching to dh.
  * Homepage (better than nothing).
  * Patch remove_ident: remove #ident lines.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 20 Apr 2010 10:53:57 +0300

fxload (0.0.20020411-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High urgency for RC bug fix.
  * Fix FTBFS with linux-libc-dev: include <linux/usb/ch9.h> instead of
    <linux/usb.h> (closes: #428923).
  * Fix Greg K-H's name in debian/copyright.

 -- Julien Cristau <jcristau@debian.org>  Fri, 20 Jul 2007 15:46:32 +0200

fxload (0.0.20020411-1) unstable; urgency=low

  * Initial Release.
  * split from hotplug source tarball
  * renamed to fxload from hotplug-utils

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 30 Apr 2002 02:46:12 +0900
