=== debian/control ===
Source: fxload
Section: admin
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, dh-sequence-movetousr
Standards-Version: 4.7.0
Homepage: http://sourceforge.net/projects/linux-hotplug/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/fxload
Vcs-Git: https://salsa.debian.org/debian-astro-team/fxload.git

Package: fxload
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hotplug-utils
Replaces: hotplug-utils
Provides: hotplug-utils
Enhances: hotplug
Description: Firmware download to EZ-USB devices
 This program is conveniently able to download firmware into FX and FX2
 ez-usb devices. It is intended to be invoked by hotplug scripts when
 the unprogrammed device appears on the bus.
