=== debian/watch ===
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
opts="uversionmangle=s/_//g;s/^/0.0./" \
  http://sf.net/linux-hotplug/fxload-(.*)\.tar\.gz
